Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeVolumesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeVolumesResult

    public class DescribeVolumesResult

extends Object

The result of describing your EBS volumes.

Constructor Summary
`DescribeVolumesResult()`

Method Summary
`List<Volume>` | `getVolumes()` The list of described EBS volumes.
`void` | `setVolumes(Collection<Volume> volumes)` The list of described EBS volumes.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeVolumesResult` | `withVolumes(Collection<Volume> volumes)` The list of described EBS volumes.
`DescribeVolumesResult` | `withVolumes(Volume... volumes)` The list of described EBS volumes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeVolumesResult

    public DescribeVolumesResult()

Method Detail

### getVolumes

    public List<Volume> getVolumes()

  The list of described EBS volumes.

  Returns:
    The list of described EBS volumes.

### setVolumes

    public void setVolumes(Collection<Volume> volumes)

  The list of described EBS volumes.

  Parameters:
    `volumes` - The list of described EBS volumes.

### withVolumes

    public DescribeVolumesResult withVolumes(Volume... volumes)

  The list of described EBS volumes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumes` - The list of described EBS volumes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withVolumes

    public DescribeVolumesResult withVolumes(Collection<Volume> volumes)

  The list of described EBS volumes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumes` - The list of described EBS volumes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.